### CLASSDEF

# corpusView - A virtual class that forms the base of classes used to 
# view the content of a collection of documents in a new way.
setClass("CorpusView",
    representation(
        "VIRTUAL",
        corpus = "PCorpus",
        documentViews = reftype("list")
    )
)

### GENERICS
setGeneric("corpus", function (object) standardGeneric("corpus"))

setGeneric("documentViews",
  function (object) standardGeneric("documentViews"))

### ACCESSORS

# Returns the corpus of this view
setMethod("corpus", "CorpusView",
  function(object) return(object@corpus))

# Returns the length of the underlying corpus
setMethod("length", "CorpusView", 
  function(x) return(length(corpus(x))))

# Returns the documentViews underlying the corpusview
# This generally needs to be redefined by extending classes
setMethod("documentViews", "CorpusView", 
  function (object) ref(object, "documentViews"))

# Return a documentview
setMethod("[[", signature(x = "CorpusView", j = "missing"),
  function (x, i, j) documentViews(x)[[i]])

# Return a slice of doucment views
setMethod("[", signature(x = "CorpusView", j = "missing",drop = "missing"),
  function (x, i, j, drop) documentViews(x)[i])
