# A base class for all stemmed views.  Provides a slot for the stemmer
# used and defines the stemmer accessor method.

### BIZARRE PLACEMENT / FORWARD REFERENCE

# This is like a C++ forward reference...kinda.  See TokenizedView.R
# for the details/
setClass("Stemmer", representation("VIRTUAL"))

### CLASS DEF

setClass("StemmedView", 
  representation("TokenizedView", stemmer = "Stemmer", "VIRTUAL"))

### GENERICS

setGeneric("stemmer", function (object) standardGeneric("stemmer"))
 
### ACCESSORS

setMethod("stemmer", "StemmedView",
  function (object) return (object@stemmer))
