# A base class for all tagged views.  Provides a slot for the tagger
# used and defines the tagger accessor method.

### BIZARRE PLACEMENT / FORWARD REFERENCE

# This is like a C++ forward reference...kinda.  See TokenizedView.R
# for the details/
setClass("Tagger", representation("VIRTUAL"))

### CLASS DEF

setClass("TaggedView", 
  representation(tagger = "Tagger", "VIRTUAL"))

### GENERICS

setGeneric("tagger", function (object) standardGeneric("tagger"))
setGeneric("tokenizedView", 
  function (object) standardGeneric("tokenizedView"))
setGeneric("uniqueTags",
  function (object) standardGeneric("uniqueTags"))
setGeneric("hasTag",
  function (object, value) standardGeneric("hasTag"))
setGeneric("tagFreqTable", 
  function (object) standardGeneric("tagFreqTable"))
setGeneric("tagFreq",
  function (object, value) standardGeneric("tagFreq"))

### ACCESSORS

setMethod("tagger", "TaggedView",
  function (object) return (object@tagger))

### INTERFACE REQUIREMENTS

setMethod("tokenizedView", "TaggedView",
  function (object) object@tokenizedView)
