\name{StemmedCorpusView-class}
\docType{class}
\alias{StemmedCorpusView-class}

\title{Class "StemmedCorpusView"}

\description{
  A view of a \code{\linkS4class{PCorpus}} as a collection of
  \code{\linkS4class{StemmedDocumentView}} objects.}

\section{Objects from the Class}{
  In general, \code{StemmedCorpusView} objects should not be
  constructed directly unless you are writing code to extend this
  package. Instead, they can be obtained from an existing 
  \code{\linkS4class{PCorpus}} object by calling
  \code{stem(corpus)}.

  If you are extending the package, the constructor function
  \code{StemmedCorpusView(corpus, stemmer, tokenizer)}
  can be used.
}

\section{Extends}{
Class \code{"\linkS4class{TokenizedCorpusView}"}, directly.
Class \code{"\linkS4class{StemmedView}"}, directly.
Class \code{"\linkS4class{CorpusView}"}, by class "TokenizedCorpusView", distance 2.
Class \code{"\linkS4class{TokenizedView}"}, by class "TokenizedCorpusView", distance 2.
Class \code{"\linkS4class{TokenizedView}"}, by class "StemmedView", distance 2.
}


\author{Tony Fader, Gary King, Dan Pemstein, and Kevin Quinn}

\seealso{
  \code{\link{stem}}
  \code{\linkS4class{CorpusView}}
  \code{\linkS4class{StemmedView}}
  \code{\linkS4class{TokenizedView}}
  \code{\linkS4class{TokenizedCorpusView}}
  \code{\linkS4class{StemmedView}}
  \code{\linkS4class{StemmedDocumentView}}
  \code{\linkS4class{PCorpus}}
}

\keyword{classes}
