\name{StemmedDocumentView-class}
\docType{class}
\alias{StemmedDocumentView-class}

\title{Class "StemmedDocumentView"}

\description{
  A view of a \code{\linkS4class{TextDocument}} object (contained within
  a \code{\linkS4class{PCorpus}}) as a sequence of stemmed tokens.
}

\section{Objects from the Class}{
    In general, \code{StemmedDocumentView} objects should not be
    constructed directly unless you are writing code to extend this
    package. Instead, they can be obtained from an existing 
    \code{\linkS4class{PCorpus}} object by calling
    \code{stem(corpus, index=i)}.

    If you are extending the package, the constructor function
    \code{StemmedDocumentView(corpus, index, stemmer, tokenizer)}
    can be used.
}

\section{Extends}{
Class \code{"\linkS4class{StemmedView}"}, directly.
Class \code{"\linkS4class{TokenizedDocumentView}"}, directly.
Class \code{"\linkS4class{TokenizedView}"}, by class "StemmedView", distance 2.
Class \code{"\linkS4class{DocumentView}"}, by class "TokenizedDocumentView", distance 2.
Class \code{"\linkS4class{TokenizedView}"}, by class "TokenizedDocumentView", distance 2.
}

\author{Tony Fader, Gary King, Dan Pemstein, and Kevin Quinn}

\seealso{
  \code{\link{stem}}
  \code{\linkS4class{DocumentView}}
  \code{\linkS4class{StemmedView}}
  \code{\linkS4class{TokenizedView}}
  \code{\linkS4class{TokenizedDocumentView}}
  \code{\linkS4class{StemmedCorpusView}}
  \code{\linkS4class{PCorpus}}
}

\keyword{classes}
