\name{Stemmer-class}
\docType{class}
\alias{Stemmer-class}
\alias{stem,character,Stemmer,missing,missing-method}
\alias{stem,character,Stemmer,Tokenizer,missing-method}
\alias{stem,TokenizedCorpusView,Stemmer,missing,missing-method}
\alias{stem,TokenizedCorpusView,Stemmer,missing,numeric-method}
\alias{stem,PCorpus,Stemmer,ANY,missing-method}
\alias{stem,PCorpus,Stemmer,ANY,numeric-method}
\alias{stem,TokenizedDocumentView,Stemmer,missing,missing-method}

\title{Class "Stemmer"
}

\description{
  An abstract class representing an object that takes a sequence of
  tokens and shortens them to stems by removing common endings.
}

\section{Objects from the Class}{A virtual Class: No objects may be created from it.}

\section{Methods}{
  \describe{
    \item{stem}{\code{signature(object = "character", stemmer = "Stemmer",
                                tokenizer = "missing", index = "missing")}:
      Apply the given stemmer to the \code{character} object and
      return a \code{character} vector of stemmed tokens. }

    \item{stem}{\code{signature(object = "character", stemmer = "Stemmer",
                                tokenizer = "Tokenizer",index = "missing")}:
      Apply the given stemmer to the \code{character} object, after
      first tokenizing with the given tokenizer, and return a
      \code{character} vector of stemmed tokens. }

    \item{stem}{\code{signature(object = "TokenizedCorpusView",
                                stemmer = "Stemmer", tokenizer = "missing",
                                index = "missing")}:
      Apply the given stemmer to the
      \code{\linkS4class{TokenizedCorpusView}} and return a
      \code{\linkS4class{StemmedCorpusView}}. }

    \item{stem}{\code{signature(object = "TokenizedCorpusView",
                                stemmer = "Stemmer", tokenizer = "missing",
                                index = "numeric")}:
      Apply the given stemmer to the
      \code{\linkS4class{TokenizedDocumentView}} at \code{index}
      within the \code{\linkS4class{TokenizedCorpusView}} and return a
      \code{\linkS4class{StemmedDocumentView}}. }

    \item{stem}{\code{signature(object = "PCorpus", stemmer = "Stemmer",
                                index = "missing")}:
      Apply the given stemmer to the \code{\linkS4class{PCorpus}} and
      return a \code{\linkS4class{StemmedCorpusView}}. }

    \item{stem}{\code{signature(object = "PCorpus", stemmer = "Stemmer",
                                index = "numeric")}:
      Apply the given stemmer to the
      \code{\linkS4class{TextDocument}} at \code{index}
      within the \code{\linkS4class{PCorpus}} and return a
      \code{\linkS4class{StemmedDocumentView}}. }

    \item{stem}{\code{signature(object = "TokenizedDocumentView",
                                stemmer = "Stemmer", tokenizer = "missing",
                                index = "missing")}:
      Apply the given stemmer to the
      \code{\linkS4class{TokenizedDocumentView}} and return a
      \code{\linkS4class{StemmedDocumentView}}. }
	 }
}

\author{Tony Fader, Gary King, Dan Pemstein, and Kevin Quinn}

\seealso{
  \code{\link{stem}}
  \code{\linkS4class{SnowballStemmer}}
  \code{\linkS4class{StemmedView}}
  \code{\linkS4class{StemmedDocumentView}}
  \code{\linkS4class{StemmedCorpusView}}
}

\keyword{classes}
