\name{TaggedView-class}
\docType{class}
\alias{TaggedView-class}
\alias{tagger,TaggedView-method}
\alias{tokenizedView,TaggedView-method}

\title{Class "TaggedView"}

\description{
  An abstract class representing a view of another object as a
  sequence of labels, or tags.  \code{TaggedView} objects each
  encapsulate a \code{\linkS4class{TokenizedView}} and provide tags
  with respect to the tokens represented by the encapsulated view.
}

\section{Objects from the Class}{A virtual Class: No objects may be created from it.}

\section{Methods}{
  \describe{
    \item{tagger}{\code{signature(object = "TaggedView")}:
      Returns the \code{\linkS4class{Tagger}} used by this view. }
    \item{tokenizedView}{\code{signature(object = "TaggedView")}:
      Returns a \code{\linkS4class{TokenizedView}} of the object
      viewed by this tagger.}
	 }
}

\author{Tony Fader, Gary King, Dan Pemstein, and Kevin Quinn}

\seealso{
  \code{\link{tag}}
  \code{\linkS4class{Tagger}}
  \code{\linkS4class{TaggedDocumentView}}
  \code{\linkS4class{TaggedCorpusView}}
}

\keyword{classes}


