\name{TokenFilteredCorpusView-class}
\docType{class}
\alias{TokenFilteredCorpusView-class}

\title{Class "TokenFilteredCorpusView"}

\description{
  A view of a \code{\linkS4class{PCorpus}} as a collection of
  \code{\linkS4class{TokenFilteredDocumentView}} objects.}

\section{Objects from the Class}{
  In general, \code{TokenFilteredCorpusView} objects should not be
  constructed directly unless you are writing code to extend this
  package. Instead, they can be obtained from an existing 
  \code{\linkS4class{PCorpus}} object by calling
  \code{filterTokens(corpus)}.

  If you are extending the package, the constructor function
  \code{TokenFilteredCorpusView(corpus, filter, tokenizer)}
  can be used.
}

\section{Extends}{
Class \code{"\linkS4class{TokenizedCorpusView}"}, directly.
Class \code{"\linkS4class{TokenFilteredView}"}, directly.
Class \code{"\linkS4class{CorpusView}"}, by class "TokenizedCorpusView", distance 2.
Class \code{"\linkS4class{TokenizedView}"}, by class "TokenizedCorpusView", distance 2.
Class \code{"\linkS4class{TokenizedView}"}, by class "TokenFilteredView", distance 2.
}


\author{Tony Fader, Gary King, Dan Pemstein, and Kevin Quinn}

\seealso{
  \code{\link{filterTokens}}
  \code{\linkS4class{CorpusView}}
  \code{\linkS4class{TokenizedView}}
  \code{\linkS4class{TokenizedCorpusView}}
  \code{\linkS4class{TokenFilteredView}}
  \code{\linkS4class{TokenFilteredDocumentView}}
  \code{\linkS4class{PCorpus}}
}


\keyword{classes}
