\name{TokenFilteredDocumentView-class}
\docType{class}
\alias{TokenFilteredDocumentView-class}

\title{Class "TokenFilteredDocumentView"}

\description{
  A view of a \code{\linkS4class{TextDocument}} object (contained
  within a \code{\linkS4class{PCorpus}}) as a sequence of tokens, with
  certain tokens filtered out.
}

\section{Objects from the Class}{
    In general, \code{TokenFilteredDocumentView} objects should not be
    constructed directly unless you are writing code to extend this
    package. Instead, they can be obtained from an existing 
    \code{\linkS4class{PCorpus}} object by calling
    \code{filterTokens(corpus, index=i)}.

    If you are extending the package, the constructor function
    \code{TokenFilteredDocumentView(corpus, index, filter, tokenizer)}
    can be used.
}

\section{Extends}{
Class \code{"\linkS4class{TokenFilteredView}"}, directly.
Class \code{"\linkS4class{TokenizedDocumentView}"}, directly.
Class \code{"\linkS4class{TokenizedView}"}, by class "TokenFilteredView", distance 2.
Class \code{"\linkS4class{DocumentView}"}, by class "TokenizedDocumentView", distance 2.
Class \code{"\linkS4class{TokenizedView}"}, by class "TokenizedDocumentView", distance 2.
}

\author{Tony Fader, Gary King, Dan Pemstein, and Kevin Quinn}

\seealso{
  \code{\link{filterTokens}}
  \code{\linkS4class{DocumentView}}
  \code{\linkS4class{TokenFilteredView}}
  \code{\linkS4class{TokenizedView}}
  \code{\linkS4class{TokenizedDocumentView}}
  \code{\linkS4class{TokenFilteredCorpusView}}
  \code{\linkS4class{PCorpus}}
}

\keyword{classes}
