\name{Tokenizer-class}
\docType{class}
\alias{Tokenizer-class}
\alias{stem,character,Stemmer,Tokenizer,missing-method}
\alias{tag,character,Tagger,Tokenizer,missing-method}
\alias{tokenize,PCorpus,Tokenizer,numeric-method}
\alias{tokenize,PCorpus,Tokenizer,missing-method}

\title{Class "Tokenizer"}

\description{
  An abstract class representing an object that splits text into
  distinct tokens.
}

\section{Objects from the Class}{A virtual Class: No objects may be created from it.}

\section{Methods}{
  \describe{
    \item{stem}{\code{signature(object = "character", stemmer = "Stemmer",
                                tokenizer = "Tokenizer",
                                index = "missing")}:
      Apply the given stemmer to the \code{character} object, after
      first tokenizing with the given tokenizer, and return a
      \code{character} vector of stemmed tokens. }

    \item{tag}{\code{signature(object = "character", tagger = "Tagger",
                               tokenizer = "Tokenizer",
                               index = "missing")}:
      Apply the given tagger to the \code{character} object, after
      first tokenizing with the given tokenizer, and return a
      \code{character} vector of tags.}

    \item{tokenize}{\code{signature(object = "PCorpus",
                                    tokenizer = "Tokenizer",
                                    index = "numeric")}:
      Apply the given tokenizer to the
      \code{\linkS4class{TextDocument}} at \code{index} within the
      \code{\linkS4class{PCorpus}} object and return a
      \code{\linkS4class{TokenizedDocumentView}}.}

    \item{tokenize}{\code{signature(object = "PCorpus",
                                    tokenizer = "Tokenizer",
                                    index = "missing")}:
      Apply the given tokenizer to the
      \code{\linkS4class{PCorpus}} object and return a
      \code{\linkS4class{TokenizedCorpusView}}.}
	 }
}

\author{Tony Fader, Gary King, Dan Pemstein, and Kevin Quinn}

\seealso{
  \code{\link{tokenize}}
  \code{\linkS4class{RegexTokenizer}}
  \code{\linkS4class{PunktWordTokenzier}}
  \code{\linkS4class{OffsetTokenizer}}
  \code{\linkS4class{TokenizedView}}
  \code{\linkS4class{TokenizedDocumentView}}
  \code{\linkS4class{TokenizedCorpusView}}
}

\keyword{classes}
